using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Default12 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

		RadChart1.PlotArea.XAxis.IsZeroBased = false;
		RadChart1.PlotArea.XAxis.AutoScale = false;
		RadChart1.PlotArea.XAxis.Appearance.ValueFormat = Telerik.Charting.Styles.ChartValueFormat.ShortDate;
		RadChart1.PlotArea.XAxis.Appearance.LabelAppearance.RotationAngle = 90;


		DataTable tbl = new DataTable();
		DataColumn col = new DataColumn("Date");
		col.DataType = typeof(double);
		tbl.Columns.Add(col);
		col = new DataColumn("ValueA");
		col.DataType = typeof(double);
		tbl.Columns.Add(col);
		col = new DataColumn("ValueB");
		col.DataType = typeof(double);
		tbl.Columns.Add(col);
		col = new DataColumn("ValueTotal");
		col.DataType = typeof(double);
		tbl.Columns.Add(col);

		DateTime today = DateTime.Now.Date;
		int size = 31;
		int maxLen = size.ToString().Length;
		for (int i = 0; i <= size; i++)
		{
			tbl.Rows.Add(new object[] { today.AddDays(i).ToOADate(), i, i*2, i*3});
		}

		RadChart1.PlotArea.XAxis.AddRange(today.ToOADate(), today.AddDays(size).ToOADate(), 1);

		RadChart1.DataSource = tbl;
		RadChart1.DataBind();

    }
}
